/***************************************************************************
 *   Copyright (C) 2007 by Artur Szymiec                                   *
 *   artur.szymiec@gmail.com                                               *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************
 *                      Orginal Code & Idea by                             *
 *                          Thomas John                                    *
 *                      thomas.john@open-design.be                         *
 *                                                                         *
 *                Linux Port & Some Minor Changes by                       *
 *                         Artur Szymiec                                   *
 *                   artur.szymiec@gmail.com	                           *
 ***************************************************************************/

#ifndef CAMERA_H
#define CAMERA_H
#ifndef STRUCTURES_H
#include "structures.h"
#endif
/**
	@author Artur Szymiec <artur.szymiec@gmail.com>
*/

class camera

{

        // set private members (variables, fonctions...)
private:

        // pointer to general infos
        infos_gen * infos_tex_tmp;

        // public members
public:

        // default constructor
        camera( double x_t, double y_t, double z_t, double x_v, double y_v, double z_v , double distance , struct infos_gen * );

        // default destructor
        ~camera();

        // calculate the position of camera
        void calculer();

};

#endif
