#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './kmatrix3dui.ui'
**
** Created: Sun Nov 16 10:04:25 2008
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kmatrix3dui.h"

#include <qvariant.h>
#include <kdialog.h>
#include <qpushbutton.h>
#include <qframe.h>
#include <qlabel.h>
#include <qslider.h>
#include <qlcdnumber.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a KMatrix3DUI as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
KMatrix3DUI::KMatrix3DUI( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "kmatrix3dcfg" );
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)3, 0, 0, sizePolicy().hasHeightForWidth() ) );
    setMinimumSize( QSize( 390, 260 ) );
    setMaximumSize( QSize( 390, 260 ) );
    setBaseSize( QSize( 0, 0 ) );

    QWidget* privateLayoutWidget = new QWidget( this, "layout34" );
    privateLayoutWidget->setGeometry( QRect( 0, 0, 386, 260 ) );
    layout34 = new QVBoxLayout( privateLayoutWidget, 9, 9, "layout34"); 

    frame3 = new QFrame( privateLayoutWidget, "frame3" );
    frame3->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, frame3->sizePolicy().hasHeightForWidth() ) );
    frame3->setMinimumSize( QSize( 368, 65 ) );
    frame3->setFrameShape( QFrame::StyledPanel );
    frame3->setFrameShadow( QFrame::Raised );

    QWidget* privateLayoutWidget_2 = new QWidget( frame3, "layout26" );
    privateLayoutWidget_2->setGeometry( QRect( 11, 10, 350, 50 ) );
    layout26 = new QVBoxLayout( privateLayoutWidget_2, 4, 0, "layout26"); 

    textLabel1 = new QLabel( privateLayoutWidget_2, "textLabel1" );
    layout26->addWidget( textLabel1 );

    layout25 = new QHBoxLayout( 0, 0, KDialog::spacingHint(), "layout25"); 

    sld3dlines = new QSlider( privateLayoutWidget_2, "sld3dlines" );
    sld3dlines->setMinValue( 50 );
    sld3dlines->setMaxValue( 2000 );
    sld3dlines->setLineStep( 100 );
    sld3dlines->setPageStep( 200 );
    sld3dlines->setValue( 50 );
    sld3dlines->setOrientation( QSlider::Horizontal );
    layout25->addWidget( sld3dlines );

    lcd3dlines = new QLCDNumber( privateLayoutWidget_2, "lcd3dlines" );
    lcd3dlines->setLineWidth( 1 );
    lcd3dlines->setMidLineWidth( 0 );
    lcd3dlines->setSegmentStyle( QLCDNumber::Outline );
    lcd3dlines->setProperty( "value", 50 );
    layout25->addWidget( lcd3dlines );
    layout26->addLayout( layout25 );
    layout34->addWidget( frame3 );

    layout11 = new QVBoxLayout( 0, 0, KDialog::spacingHint(), "layout11"); 

    textLabel3 = new QLabel( privateLayoutWidget, "textLabel3" );
    textLabel3->setTextFormat( QLabel::RichText );
    layout11->addWidget( textLabel3 );

    layout8 = new QHBoxLayout( 0, 0, KDialog::spacingHint(), "layout8"); 

    OkayPushButton = new QPushButton( privateLayoutWidget, "OkayPushButton" );
    layout8->addWidget( OkayPushButton );
    spacer5 = new QSpacerItem( 150, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout8->addItem( spacer5 );

    CancelPushButton = new QPushButton( privateLayoutWidget, "CancelPushButton" );
    layout8->addWidget( CancelPushButton );
    layout11->addLayout( layout8 );
    layout34->addLayout( layout11 );
    languageChange();
    resize( QSize(390, 260).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( sld3dlines, SIGNAL( valueChanged(int) ), lcd3dlines, SLOT( display(int) ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KMatrix3DUI::~KMatrix3DUI()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KMatrix3DUI::languageChange()
{
    setCaption( tr2i18n( "Screen Saver Config" ) );
    textLabel1->setText( tr2i18n( "Number of displayed 3d lines:" ) );
    textLabel3->setText( tr2i18n( "KMatrix3D OpenGL KDE screen saver.<br>\n"
"Copyright ©2007 by Artur Szymiec.<br>\n"
"<a href=\"mailto:artur.szymiec@gmail.com\">artur.szymiec@gmail.com</a><br>\n"
"Licensed under GPL.<br>\n"
"<p align=\"right\">Based on the orginal code by  Thomas John. \n"
"<a href=\"mailto:thomas.john@open-design.be\">thomas.john@open-design.be</a></p>" ) );
    OkayPushButton->setText( tr2i18n( "&OK" ) );
    OkayPushButton->setAccel( QKeySequence( tr2i18n( "Alt+O" ) ) );
    CancelPushButton->setText( tr2i18n( "Cance&l" ) );
    CancelPushButton->setAccel( QKeySequence( tr2i18n( "Alt+L" ) ) );
}

#include "kmatrix3dui.moc"
